Subject: I-D Action: draft-kaithal-sipclf-sip-log-information-00.txt

From: [email-masked]
Date: Sun, 08 Apr 2012 23:09:18 -0700

A New Internet-Draft is available from the on-line Internet-Drafts directories.

	Title           : Session Initiation Protocol (SIP) Extension for logging and debugging
	Author(s)       : Adarsh Kaithal
	Filename        : draft-kaithal-sipclf-sip-log-information-00.txt
	Pages           : 8
	Date            : 2012-04-08

   The current mechanisms to debug issues in SIP network are not very
   efficient.  It requires to enable debugging logs across different
   devices, recreate the problem and then collect the logs.  The idea is
   to provide a solution to automatically enable relevant logs (SIP
   messages and any other debugging logs meaningful to SIP devices), and
   also to indicate where the logs are to be collected or stored.  The
   enabling of logs will happen at all the SIP devices(upstream or
   downstream).  This will help to get the logs from all the SIP devices
   in a Common logging format (CLF).  The solution extends SIP to
   provide the infrastructure to enable logging for upstream and
   downstream devices with each server deciding how much troubleshooting
   information it wants to log - with freedom to simply ignore requests
   if required.  This document specifies a new header called "Log-Me"
   Header in all the SIP messages.

A URL for this Internet-Draft is:
http://www.ietf.org/internet-drafts/draft-kaithal-sipclf-sip-log-information-00.txt

Internet-Drafts are also available by anonymous FTP at:
ftp://ftp.ietf.org/internet-drafts/

This Internet-Draft can be retrieved at:
ftp://ftp.ietf.org/internet-drafts/draft-kaithal-sipclf-sip-log-information-00.txt